<template>
    <div class="main-content__div">
      <div class="table-box__div" v-cloak v-loading="loadingFlag">
      <el-form  class="demo-form-inline">
        <el-form-item label="站点名称">
          <el-input
            placeholder="站点名称"
            v-model="keyWord"
            style="width:150px;"
            size="small"
            >
          </el-input>
        </el-form-item>
        
        <!-- 搜索按钮 -->
        <el-form-item>
          <el-button type="primary" size="small" @click="searchFrom()">搜索</el-button>
        </el-form-item>
       
      </el-form>
      </div>
      <!-- 列表 -->
      <div class="table-box__div" v-cloak v-loading="loadingFlag">
        <!-- 查询表单 -->
        <el-form :inline="true" class="demo-form-inline">
          <el-form-item>
            <el-button type="primary" size="small" @click="addClick">添加站点</el-button>
          </el-form-item>
        
        </el-form>
        <el-table
          size="mini"
          :data="tableData"
          :empty-text="tableDataLoadingText"
          style="width: 100%;font-size: 15px;"
          :header-cell-style="{background:'#FAFAFA'}"
        >
          <el-table-column label="编号" width="50" prop="id"></el-table-column>
          <el-table-column label="站点名称" prop="website_name" width="200"></el-table-column>
          <el-table-column label="站点栏目" prop="column_name" width="200"></el-table-column>
          <el-table-column label="站点logo" prop="logo" width="100"></el-table-column>
          <el-table-column label="站点地址" prop="website_url" width="200"></el-table-column>
          <el-table-column label="站点城市" prop="name" width="100"></el-table-column>
          <el-table-column label="站点状态" width="150"  prop="is_links">
            <template v-slot="{row}">
              <el-switch
                v-model="row.status"
                :active-value="1"
                :inactive-value="0"
              disabled
              ></el-switch>
            </template>
          </el-table-column>
          <el-table-column label="创建时间" prop="created_at" width="350"></el-table-column>
          <el-table-column   prop="" label="操作" align="center"  fixed="right" width="200">
                  <template v-slot="scope">
                    <div style="display: flex;flex-direction: row;justify-content: center;align-items: center;">
                      <span class="btn"  @click="updateClick(scope.row, scope.$index)">编辑</span>
                      <span class="btn"  @click="deleteAuthority(scope.row,scope.$index)">删除</span>
                      <span class="btn"  @click="websiteRoleClick(scope.row)">站点角色</span>
                    </div>
                  </template>
                </el-table-column>
        </el-table>
        <!-- 分页 -->
        <div class="block" v-show="pagination" style="margin-top: 10px;float: right;">
          <el-pagination
            background
            @current-change="handleCurrentChange"
            :current-page="currentPage"
            :page-size="pageSize"
            layout="total, prev, pager, next, jumper"
            :total="parseInt(tableCount)">
          </el-pagination>
        </div>
      </div>
    </div>
  <Dialog title="温馨提示" content="您确认要删除该站点吗？"
          @close="DialogShow = false"
          @submitSureClick="submitSureClickDel"
          @DialogFalse="DialogShow = false"
          :innerVisible="DialogShow">
  </Dialog>
  <DialogSlot
      title="添加/编辑"
      @close="websiteDialogShow = false"
      @DialogClose="websiteDialogShow = false"
      :innerVisible="websiteDialogShow"
      @colesClick="websiteDialogShow  = false"
  >
    <editFrom
        @colesClick="websiteDialogShow = false"
        :websiteDataForm="websiteDataForm"
         :isloading="isloading"
        @websiteSubmitClick="websiteSubmitClick"
        @closeDlg="closeDlg"
        >
    </editFrom>
  </DialogSlot>
  </template>
  <script>
  import Dialog from "../../components/dialog";
  import editFrom from "./components/edit";
  import DialogSlot from "../../components/DialogSlot";
  export default {
    components: {
      Dialog,
      editFrom,
      DialogSlot
    },
    data() {
      return {
        value:"1",
        //  站点数据
        tableData: [],
        //  加载中数据提示
        tableDataLoadingText:"拼命加载中······",
        //  是否显示分页
        pagination:false,
        //  每页显示的条数
        pageSize:10,
        //  当前页
        currentPage:1,
        //  菜单列表数据总条数
        tableCount:0,
        keyWord:'',
        loadingFlag: false,
        isShowSource: false, // 是否显示来源列
        id:0,
        DialogShow: false, //控制删除弹窗
        WebsiteId:'',
        websiteRowIndex:'',
        websiteDataForm: {},
        websiteTableData: [],
        isloading:false, //提交按钮状态
        websiteDialogShow: false, // 控制保存弹窗
      }
    },
    mounted() {},
    methods: {
      // 获取菜单信息列表
      getList:function(){
        let _t = this;
        _t.loadingFlag = true;
        let parames = {
            'page':this.currentPage,
            'pageSize':this.pageSize,
            'keyWord':this.keyWord
        }
        this.$api.website.getWebsiteList(parames).then(res=>{
                _t.loadingFlag = false;
                if(res.code==200){
                  if(res.data.rows.length==0){
                    this.$message.error("没有数据了")
                    return
                  }
                    _t.tableData = res.data.rows;
                    _t.tableCount = res.data.count;
                     //  总条数大于每页显示的条数时显示分页
                    if( _t.tableCount > _t.pageSize ){
                     _t.pagination = true;
                    }
                    if( _t.tableData.length==0 ){
                     _t.tableDataLoadingText = "暂无数据";
                    }
                }else{
                    this.$message.error("查询失败")
                }
            })
      },
      // 点击翻页
      handleCurrentChange(val) {
        this.currentPage = val;
        this.getList();
      },

      addClick(){
        this.websiteDataForm = {}
        this.websiteDialogShow = true
      },
      //更新菜单
      updateClick(row,index){
        console.log(row)
        this.websiteDataForm = row
        this.rowIndex = index
        this.websiteDialogShow = true
      },
      closeDlg(val){
      
          this.websiteDialogShow = false
          this.isloading = false
      },
      websiteSubmitClick(data){
        let _t = this
        console.log("提交数据",data)
        let parames = data
        _t.isloading = true
        //有id更新，没有新增
        if(parames.id){
          this.$api.website.updateWebsite(parames).then(res=>{
                _t.loadingFlag = false;
                if(res.code==200){
                  _t.tableData[_t.rowIndex] = parames
                     console.log("修改成功")
                    //  location.reload();
                    this.getList();
                }else{
                    this.$message.error("修改失败")
                }
                this.websiteDialogShow = false
                this.isloading = false
            })
        }else{
          this.$api.website.addWebsite(parames).then(res=>{
                _t.loadingFlag = false;
                if(res.code==200){
                     console.log("创建成功")
                     this.getList();
                }else{
                    this.$message.error(res.message)
                }
                this.websiteDialogShow = false
                this.isloading = false
            })
        }
       
      },
      //删除菜单
      deleteAuthority(row, index) {
        this.WebsiteId = row.id
        this.websiteRowIndex = index
        this.DialogShow = true
      },
      submitSureClickDel(row,index){
        let parames = {
          'id':this.WebsiteId
        }
        this.$api.website.delWebsite(parames).then(res=>{
          if(res.code==200){
            this.DialogShow = false
            this.getList()
          }else{
            this.$message.error("删除失败")
          }
        })
      },
      searchFrom(){
        this.currentPage = 1
        this.pageSize = 10
        this.getList()
      },
      websiteRoleClick(row){
        this.$router.push('websiteRole/'+row.id);
      }

    },
    created() {
        this.getList();
    }
  }
  </script>
  <style >
   .demo-form-inline{
      display: flex;
   }
   .demo-form-inline .el-form-item{
    margin: 0 20px;
   }
  </style>
  
  